Bug 1280023 - ps output shows weird message about fatal kernel error
ps output shows weird message about fatal kernel error
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: abrt (Show other bugs)
7.2
Unspecified Unspecified
low Severity low
: rc
: 7.3
Assigned To: abrt
BaseOS QE - Apps
:
Depends On: 976581
Blocks: 1298243 1420851
  Show dependency treegraph
 
Reported: 2015-11-10 13:22 EST by Ben England
Modified: 2017-11-06 09:47 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-06 09:47:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben England 2015-11-10 13:22:45 EST
Description of problem:

The "ps awux" command shows this really weird looking process below, is that intentional?   If so, it's a really primitive way of alerting user to problem.  How about using something like:

# logger -p user.emerg "your message here"

Which will hit all the syslogs and terminals.  I agree with comment 5 in bz 976581 BTW.

Version-Release number of selected component (if applicable):

RHEL7.2 nightly dated Nov 5 2015
Linux hp60ds1 3.10.0-327.el7.x86_64 #1 SMP Thu Oct 29 17:29:29 EDT 2015 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:

haven't really tried yet

Steps to Reproduce:
1.
2.
3.

Actual results:

in "ps awux" output:

root      1562  0.0  0.0 207984   160 ?        Ss   Nov09   0:00 /usr/bin/abrt-watch-log -F BUG: WARNING: at WARNING: CPU: INFO: possible recursive locking detected ernel BUG at list_del corruption list_add corruption do_IRQ: stack overflow: ear stack overflow (cur: eneral protection fault nable to handle kernel ouble fault: RTNL: assertion failed eek! page_mapcount(page) went negative! adness at NETDEV WATCHDOG ysctl table check failed : nobody cared IRQ handler type mismatch Machine Check Exception: Machine check events logged divide error: bounds: coprocessor segment overrun: invalid TSS: segment not present: invalid opcode: alignment check: stack segment: fpu exception: simd exception: iret exception: /var/log/messages -- /usr/bin/abrt-dump-oops -xtD

Expected results:

it's already logged in other places such as /var/log/messages, why do this?

Additional info:

http://perf1.perf.lab.eng.bos.redhat.com/bengland/public/ceph/hyperconv/oom-killer.log
Comment 2 Jakub Filak 2015-11-11 02:42:42 EST
This "bug" can be easily fixed by back-porting abrt-dump-journal-oops from Fedora to RHEL but we need to be sure that systemd-journald is the default syslog in RHEL-7.
Comment 3 Martin Kutlak 2017-11-06 09:47:58 EST
Changing the output would mean doing changes to code across three components (satyr, libreport, and abrt). This could potentially introduce new bugs in next release. 

Because the severity of this bug is low, we've decided to not fix this bug.

Note You need to log in before you can comment on or make changes to this bug.